Bug 19488 - Add borrowernumber to brief info on patron details pages in staff client
Summary: Add borrowernumber to brief info on patron details pages in staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jesse Maseto
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-18 16:39 UTC by Kyle M Hall
Modified: 2018-05-14 13:54 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19488 - 5 digit, "Borrower Number" from details page (1.06 KB, patch)
2018-03-13 15:00 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 19488 - 5 digit, "Borrower Number" from details page (1.12 KB, patch)
2018-03-14 14:27 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19488: Add borrowernumber to brief info on patron details pages in staff client (1.36 KB, patch)
2018-03-25 20:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19488: (QA follow-up) Fix spelling, remove () (1.12 KB, patch)
2018-03-25 20:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-10-18 16:39:58 UTC
Request from a library: When filling out lost slips and damaged slips, etc. It would be nice to not always have to go back to the details screen to find the borrower number. Especially from "Account" and "Fines" and CKO.It could be added to the upper left basic borrower info (name, bar code number, phone number, etc.)
Comment 1 Katrin Fischer 2017-11-01 11:16:17 UTC
Why 5 digit?
Comment 2 Jesse Maseto 2018-03-13 15:00:41 UTC
Created attachment 72787 [details] [review]
Bug 19488 - 5 digit, "Borrower Number" from details page
Comment 3 Jesse Maseto 2018-03-13 15:02:53 UTC
TEST:

1. apply patch
2. veiw patron details page on staff client
3. borrower number is now added the 'patronbriefinfo' section.


Thank you,
-JesseM
Comment 4 Jesse Maseto 2018-03-13 15:05:31 UTC
Not just five digits. Entire borrower number will display.
Comment 5 sandboxes@biblibre.com 2018-03-14 14:27:11 UTC
Patch tested with a sandbox, by JM Broust <jean-manuel.broust@univ-lyon2.fr>
Comment 6 sandboxes@biblibre.com 2018-03-14 14:27:34 UTC
Created attachment 72872 [details] [review]
Bug 19488 - 5 digit, "Borrower Number" from details page

Signed-off-by: JM Broust <jean-manuel.broust@univ-lyon2.fr>
Comment 7 Katrin Fischer 2018-03-25 20:12:53 UTC
Created attachment 73268 [details] [review]
Bug 19488: Add borrowernumber to brief info on patron details pages in staff client

To test:
- View different tabs of a borrower's patron account in staff
- Verify the borrowernumber is shown in the brief info section
  on the left

Signed-off-by: JM Broust <jean-manuel.broust@univ-lyon2.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2018-03-25 20:12:56 UTC
Created attachment 73269 [details] [review]
Bug 19488: (QA follow-up) Fix spelling, remove ()

Fixes spelling to match the details page and removes ().
Comment 9 Jonathan Druart 2018-03-26 18:47:35 UTC
Is this really useful? How?
Should we make it configurable?

The info is in the url usually.
Comment 10 Jesse Maseto 2018-03-26 18:56:47 UTC
Yes. This is very useful for many libraries. Not everyone knows to look at the URL or feels comfortable doing so. This puts the borrowernumber in a plain view place that is easily found.
Comment 11 Jonathan Druart 2018-03-29 15:02:48 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 12 Nick Clemens 2018-05-14 13:54:52 UTC
Enhancement, not backported for 17.11.x